import {ALLERGY_NONE} from "./Allergy/none";
import {ALLERGY_EGG} from "./Allergy/allergy0";
import {ALLERGY_MILK} from "./Allergy/allergy1";
import {ALLERGY_BUCKWHEAT} from "./Allergy/allergy2";
import {ALLERGY_PEANUT} from "./Allergy/allergy3";
import {ALLERGY_SOYBEAN} from "./Allergy/allergy4";
import {ALLERGY_WHEAT} from "./Allergy/allergy5";
import {ALLERGY_PINE_NUT} from "./Allergy/allergy6";
import {ALLERGY_WALNUT} from "./Allergy/allergy7";
import {ALLERGY_CRAB} from "./Allergy/allergy8";
import {ALLERGY_SHRIMP} from "./Allergy/allergy9";
import {ALLERGY_SQUID} from "./Allergy/allergy10";
import {ALLERGY_MACKEREL} from "./Allergy/allergy11";
import {ALLERGY_SHELLFISH} from "./Allergy/allergy12";
import {ALLERGY_PEACH} from "./Allergy/allergy13";
import {ALLERGY_TOMATO} from "./Allergy/allergy14";
import {ALLERGY_CHICKEN} from "./Allergy/allergy15";
import {ALLERGY_PORK} from "./Allergy/allergy16";
import {ALLERGY_BEEF} from "./Allergy/allergy17";
import {ALLERGY_TYPE} from "../common/HealthKeyword";

export const ALLERGY_ICON = {
  ALLERGY_NONE: {TITLE: ALLERGY_TYPE.NONE, PADDING_BOTTOM: '24px'},
  ALLERGY_EGG: {TITLE: ALLERGY_TYPE.EGG, PADDING_BOTTOM: '22px'},
  ALLERGY_MILK: {TITLE: ALLERGY_TYPE.MILK, PADDING_BOTTOM: '9px'},
  ALLERGY_BUCKWHEAT: {TITLE: ALLERGY_TYPE.BUCKWHEAT, PADDING_BOTTOM: '8px'},
  ALLERGY_PEANUT: {TITLE: ALLERGY_TYPE.PEANUT, PADDING_BOTTOM: '16px'},
  ALLERGY_SOYBEAN: {TITLE: ALLERGY_TYPE.SOYBEAN, PADDING_BOTTOM: '24px'},
  ALLERGY_WHEAT: {TITLE: ALLERGY_TYPE.WHEAT, PADDING_BOTTOM: '13px'},
  ALLERGY_PINE_NUT: {TITLE: ALLERGY_TYPE.PINE_NUT, PADDING_BOTTOM: '23px'},
  ALLERGY_WALNUT: {TITLE: ALLERGY_TYPE.WALNUT, PADDING_BOTTOM: '19px'},
  ALLERGY_CRAB: {TITLE: ALLERGY_TYPE.CRAB, PADDING_BOTTOM: '15px'},
  ALLERGY_SHRIMP: {TITLE: ALLERGY_TYPE.SHRIMP, PADDING_BOTTOM: '14px'},
  ALLERGY_SQUID: {TITLE: ALLERGY_TYPE.SQUID, PADDING_BOTTOM: '16px'},
  ALLERGY_MACKEREL: {TITLE: ALLERGY_TYPE.MACKEREL, PADDING_BOTTOM: '21px'},
  ALLERGY_SHELLFISH: {TITLE: ALLERGY_TYPE.SHELLFISH, PADDING_BOTTOM: '14px'},
  ALLERGY_PEACH: {TITLE: ALLERGY_TYPE.PEACH, PADDING_BOTTOM: '20px'},
  ALLERGY_TOMATO: {TITLE: ALLERGY_TYPE.TOMATO, PADDING_BOTTOM: '20px'},
  ALLERGY_CHICKEN: {TITLE: ALLERGY_TYPE.CHICKEN, PADDING_BOTTOM: '30px'},
  ALLERGY_PORK: {TITLE: ALLERGY_TYPE.PORK, PADDING_BOTTOM: '28px'},
  ALLERGY_BEEF: {TITLE: ALLERGY_TYPE.BEEF, PADDING_BOTTOM: '16px'},
}

export function SvgAllergyIcons({type, onClick, isSelected}) {
  switch (type) {
    case ALLERGY_ICON.ALLERGY_NONE.TITLE:
      return ALLERGY_NONE(onClick, isSelected)
    case ALLERGY_ICON.ALLERGY_EGG.TITLE:
      return ALLERGY_EGG(onClick)
    case ALLERGY_ICON.ALLERGY_MILK.TITLE:
      return ALLERGY_MILK(onClick)
    case ALLERGY_ICON.ALLERGY_BUCKWHEAT.TITLE:
      return ALLERGY_BUCKWHEAT(onClick)
    case ALLERGY_ICON.ALLERGY_PEANUT.TITLE:
      return ALLERGY_PEANUT(onClick)
    case ALLERGY_ICON.ALLERGY_SOYBEAN.TITLE:
      return ALLERGY_SOYBEAN(onClick)
    case ALLERGY_ICON.ALLERGY_WHEAT.TITLE:
      return ALLERGY_WHEAT(onClick)
    case ALLERGY_ICON.ALLERGY_PINE_NUT.TITLE:
      return ALLERGY_PINE_NUT(onClick)
    case ALLERGY_ICON.ALLERGY_WALNUT.TITLE:
      return ALLERGY_WALNUT(onClick)
    case ALLERGY_ICON.ALLERGY_CRAB.TITLE:
      return ALLERGY_CRAB(onClick)
    case ALLERGY_ICON.ALLERGY_SHRIMP.TITLE:
      return ALLERGY_SHRIMP(onClick)
    case ALLERGY_ICON.ALLERGY_SQUID.TITLE:
      return ALLERGY_SQUID(onClick)
    case ALLERGY_ICON.ALLERGY_MACKEREL.TITLE:
      return ALLERGY_MACKEREL(onClick)
    case ALLERGY_ICON.ALLERGY_SHELLFISH.TITLE:
      return ALLERGY_SHELLFISH(onClick)
    case ALLERGY_ICON.ALLERGY_PEACH.TITLE:
      return ALLERGY_PEACH(onClick)
    case ALLERGY_ICON.ALLERGY_TOMATO.TITLE:
      return ALLERGY_TOMATO(onClick)
    case ALLERGY_ICON.ALLERGY_CHICKEN.TITLE:
      return ALLERGY_CHICKEN(onClick)
    case ALLERGY_ICON.ALLERGY_PORK.TITLE:
      return ALLERGY_PORK(onClick)
    case ALLERGY_ICON.ALLERGY_BEEF.TITLE:
      return ALLERGY_BEEF(onClick)
    default:
      return ALLERGY_NONE(onClick, isSelected)
  }
}
